TestCDDBLookup

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## thegroup.projectcddb.database
Class TestCDDBLookup

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              thegroup.projectcddb.database.TestCDDBLookup

All Implemented Interfaces:
  junit.framework.Test

public class TestCDDBLookup
extends junit.framework.TestCase

Description of the Class

Author:
  Diana Abbas

Field Summary
`private CDDBLookup` | `cDDBLookup`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`TestCDDBLookup()`

Method Summary
`protected void` | `setUp()` The JUnit setup method
`protected void` | `tearDown()` The teardown method for JUnit
`void` | `testGetContext()` A unit test for JUnit
`void` | `testMain()` A unit test for JUnit

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cDDBLookup

    private CDDBLookup cDDBLookup

Constructor Detail

### TestCDDBLookup

    public TestCDDBLookup()

Method Detail

### testGetContext

    public void testGetContext()
                        throws javax.naming.NamingException

  A unit test for JUnit

  Throws:
    `javax.naming.NamingException` - Description of Exception
  Since:
    empty

### testMain

    public void testMain()
                  throws java.lang.Exception

  A unit test for JUnit

  Throws:
    `java.lang.Exception` - Description of Exception
  Since:
    empty

### setUp

    protected void setUp()
                  throws java.lang.Exception

  The JUnit setup method

  Throws:
    `java.lang.Exception` - Description of Exception
  Since:
    empty

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  The teardown method for JUnit

  Throws:
    `java.lang.Exception` - Description of Exception
  Since:
    empty

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD